
@import url('https://fonts.googleapis.com/css2?family=Calistoga&family=Croissant+One&family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&family=Jost:ital,wght@0,100..900;1,100..900&family=Momo+Trust+Display&family=Poiret+One&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Quicksand:wght@300..700&family=Satisfy&family=Titan+One&display=swap');

/*font-family: "Poppins", sans-serif;*//*font-family: "Google Sans", sans-serif;*//*font-family: "Quicksand", sans-serif;*//*font-family: "Jost", sans-serif;*//*font-family: "Satisfy", cursive;*/
/*font-family: "Titan One", sans-serif;*//*font-family: "Momo Trust Display", sans-serif;*//*font-family: "Poiret One", sans-serif;*//*font-family: "Calistoga", serif;*/
/*font-family: "Croissant One", serif;*/


*{margin: 0;padding: 0;box-sizing: border-box;}
body, html {
    margin: 0 !important;
    padding: 0 !important;
    font-family: "Poppins", sans-serif !important;
    scroll-behavior: smooth;
    max-width: 100% !important;
    overflow-x: hidden;
}
img{width: 100%;}
ul{
    padding-left: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
}
li{list-style: none !important;}
a{text-decoration: none !important;color: inherit;}
a:hover{}
p{
    font-size: 15px;
    font-weight: 400;
    line-height: 20px;
    margin-bottom: 0 !important;
}
button{border: none;}
p.paragraph:empty {line-height: 0px !important;}


/* ===== GLOBAL SCROLLBAR STYLE ===== */

/* Chrome, Edge, Safari */
*::-webkit-scrollbar {width: 3px;height: 3px; }
*::-webkit-scrollbar-track {background: rgba(255,255,255,0.05);border-radius: 10px;}
*::-webkit-scrollbar-thumb {background: var(--green);border-radius: 10px;box-shadow: 0 0 6px var(--green);}
*::-webkit-scrollbar-thumb:hover {background: #00ff99;}
/* Firefox */
* {scrollbar-width: thin;scrollbar-color: var(--green) rgba(255,255,255,0.05);}

/*====================================*/
/*             👉 Variables*/
/*====================================*/

:root {
    --bg-gradient: #031c2b;
    --bg-green: #03252f;
    --bg-deep: #001a2a;
    --bg-blue: #04273c;
    --bg-light: #f6f6f6;
    

    --blue: #005573;
    --soft-blue: #04ade9;
    --white: #ffffff;
    --dark: #000000;
    --grey: #666666;
    --black: #797979;
    
    --text-muted: #bdbdbd;
    --text-dark: #222;
    --text-grey: #777;
    --text-light: #eee;
    
    --glass: rgba(255,255,255,0.06);
    --shadow: 0 8px 20px rgba(0,0,0,0.1);
    
}

/* ====================================
            👉 TYPOGRAPHY
===================================== */

.big-heading {font-size: 55px;line-height: 1.2;font-weight: 700;}
.heading {font-size: 36px;font-weight: 700;letter-spacing: 0.5px;line-height: 1.2;}
.sub-heading {font-size: 28px;font-weight: 600;line-height: 1.2;}
.mid-heading {font-size: 24px;font-weight: 600;line-height: 1.2;}
.small-heading {font-size: 18px;color: var(--light-text);font-weight: 500;line-height: 1.2;}
.mini-heading {font-size: 16px;font-weight: 500;line-height: 1.2;margin-bottom: 0;}

.bold-title {font-size: 15px;font-weight: 700;line-height: 1.2;color: var(--text-dark);}
.grey-paragraph {font-size: 14px;color: var(--text-grey);line-height: 1.5;}
.big-paragraph {font-size: 16px;line-height: 1.5;font-weight: 500;}
.paragraph, .paragraph a {font-size: 14px;line-height: 1.5;}
.small-paragraph {font-size: 12px;color: var(--text-muted);}
.mini-text{font-size: 11px;}
.tagline {
    display: inline-block;
    font-size: 13px;
    font-weight: 600;
    letter-spacing: 1.5px;
    text-transform: uppercase;
    color: var(--blue);
    position: relative;
    padding-left: 48px;
}
.tagline::before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    width: 36px;
    height: 2px;
    background: linear-gradient(to right, #36d1dc, #5b86e5);
    transform: translateY(-50%);
}


/* ====================================
            👉 COLOR TEXT
===================================== */

.white-text{color: var(--white) !important;}
.black-text{color: var(--black) !important;}
.blue-text{color: var(--blue);}
.grey-text{color: var(--grey);}
.muted-text{color: var(--text-muted);}

/* ====================================
            👉 BUTTONS
===================================== */

.fill-btn, .submit-btn, .inquiry-btn {
    width: fit-content;
    white-space: nowrap;
    padding: 10px 26px; 
    border-radius: 50px;
    text-decoration: none; 
    font-size: 12px; 
    font-weight: 600;
    display: inline-block; 
    background: var(--blue); 
    border: 1px solid var(--blue); 
    color: var(--white); 
    transition: 0.25s;
    text-transform: uppercase;
    cursor: pointer;
}
.outline-btn {
    width: fit-content;
    white-space: nowrap;
    padding: 10px 26px; 
    border-radius: 50px;
    text-decoration: none; 
    font-size: 12px; 
    font-weight: 600;
    display: inline-block; 
    background: transparent;
    border: 1px solid var(--blue); 
    color: var(--blue); 
    transition: 0.25s;  
    text-transform: uppercase;
    cursor: pointer;
}
.icon-btn {
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--green);
    color: var(--black);
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.3s ease;
    border: solid 2px transparent;
}
.icon-btn:hover {transform: scale(1.1);color: var(--white);box-shadow: var(--neon-glow);}
.whatsapp-btn {
    font-size: 28px;
    background-color: #128c7e;
    color: #fff;
    border-radius: 100px;
    padding: 10px;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 99999;
    cursor: pointer;
}
.small-btn {
    padding: 6px 14px;
    font-size: 10px;
    width: fit-content;
    white-space: nowrap;
    background: var(--blue);
    color: var(--white);
    border-radius: 5px;
    font-weight: 600;
    border: 1px solid var(--blue); 
    cursor: pointer;
    transition: 0.25s;
    text-transform: uppercase;
    cursor: pointer;
}
.fill-btn:hover, .outline-btn:hover, .submit-btn:hover, .small-btn:hover, .inquiry-btn:hover {
    background: var(--soft-blue); 
    color: var(--white); 
    border: solid 1px var(--soft-blue);
}

/* ===============================
   GLOBAL SWIPER NAV (COMPACT)
================================ */

.swiper-button-next,
.swiper-button-prev {
    width: 30px !important;
    height: 30px !important;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 6px 20px rgba(0,0,0,0.12);
    color: #111;
    transition: all .3s ease;
}
.swiper-button-next::after,
.swiper-button-prev::after {font-size: 14px !important;font-weight: 700;}
.swiper-button-next:hover,
.swiper-button-prev:hover {transform: translateY(-2px);box-shadow: 0 10px 30px rgba(0,0,0,0.18);}

@media (max-width: 768px) {.swiper-button-next,.swiper-button-prev {display: none !important;}}


/*============================================*/
/*        👉 SECTION WRAPPER SPACING*/
/*============================================*/

.group-btn{display: flex;gap: 20px;align-items: center;}
.section{padding: 70px 0;}
.small-section {padding: 50px 0;}
.page-banner{
    background-image: url('https://travelican.com/wp-content/uploads/2025/12/17806015_5917567-scaled.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    height: 300px;
}
.banner-content{
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding-top: 50px;
}
.box-wrapper {
    background-color: #fff;
    border-radius: 5px;
    padding: 20px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}


/*============================================*/
/*                👉 CARD DESIGN*/
/*============================================*/

.glass-tag {
    background: rgba(255,255,255,0.08);
    padding: 10px 16px;
    border-radius: 8px;
    color: #d8f7e8;
    font-size: 14px;
    display: flex;
    gap: 6px;
    align-items: center;
    backdrop-filter: blur(10px);
}
.green-tag {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    font-size: 13px;
    padding: 6px 12px;
    background: rgba(13,191,109,0.25);
    border-radius: 6px;
    backdrop-filter: blur(6px);
    color: #c8ffdf;
}
.dark-tag {
    display: flex;
    align-items: center;
    gap: 10px;
    background: rgb(60 60 60 / 14%);
    padding: 8px 14px;
    border-radius: 10px;
    border: 1px solid rgba(255, 255, 255, 0.05);
    transition: .35s;
    color: var(--white);
    font-size: 15px;
}
.blue-tag {
    background: rgba(255,255,255,0.06);
    padding: 6px 12px;
    font-size: 13px;
    border-radius: 6px;
    color: #c8dfe7;
}
.small-blue-tag {
    background: rgba(255, 255, 255, 0.06);
    padding: 5px 7px;
    font-size: 11px;
    border-radius: 6px;
    color: var(--black);
}

/*============================================*/
/*            👉 FLEX HELPERS*/
/*============================================*/

.flex {display: flex;align-items: center;}
.flex-between {display: flex;justify-content: space-between;align-items: center;}
.flex-center {display: flex;justify-content: center;align-items: center;}
.flex-wrap {display: flex;flex-wrap: wrap;gap: 8px;}
.g-10{gap: 10px;}

/*============================================*/
/*            👉 UTILITY SPACING*/
/*============================================*/

.mt-0{margin-top: 0px;}
.mt-5 {margin-top: 5px;}
.mt-10 {margin-top: 10px;}
.mt-20 {margin-top: 20px;}
.mt-30 {margin-top: 30px;}
.mt-40 {margin-top: 40px;}
.mt-50 {margin-top: 50px;}

.mb-0{margin-bottom: 0px;}
.mb-5 {margin-bottom: 5px;}
.mb-10 {margin-bottom: 10px;}
.mb-20 {margin-bottom: 20px;}
.mb-30 {margin-bottom: 30px;}
.mb-40 {margin-bottom: 40px;}
.mb-50 {margin-bottom: 50px;}

.w-auto{width: auto;}
.w-60{width:60%;}
.w-40{width:60%;}

/*============================================*/
/*          👉 ALIGN & TEXT HELPERS*/
/*============================================*/

.text-center {text-align: center;}
.text-left   {text-align: left;}
.text-right  {text-align: right;}

/*============================================*/
/*            👉 BACKGROUND UTILITIES*/
/*============================================*/

.bg-blue  {background: linear-gradient(to right, #36d1dc, #5b86e5);}
.bg-mid-blue {background: linear-gradient(to right, #4fdde5, #6f9af0);}
.bg-ocean {background: linear-gradient(to right, #55d1e7, #8fa9ef);}
.bg-sky {background: linear-gradient(to right, #9fe8ec, #a9bdf2);}
.bg-soft {background: linear-gradient(to right, #fbffff, #e7eeff);}
.bg-mint {background: linear-gradient(135deg, #eafaf1, #ffffff);}


/*============================================*/
/*                👉 DIVIDER*/
/*============================================*/

.divider {
    width: 70px;
    height: 3px;
    background: var(--neon-green);
    margin: 10px 0 20px;
    border-radius: 5px;
}
.underline {
    width: 70px;
    height: 6px;
    background: linear-gradient(90deg, #00ff6e, #001b11);
    border-radius: 3px;
    margin: 0.8rem 0 1.5rem;
    transition: all 0.5s ease;
}
.thin-underline {
    width: 70px;
    height: 2px;
    background: linear-gradient(90deg, #00ff6e, #001b11);
    border-radius: 3px;
    margin: 0.8rem 0 1.5rem;
    transition: all 0.5s ease;
}

/*============================================*/
/*                👉 CONDITIONAL*/
/*============================================*/

.relative{position: relative;}
.hidden{display: none;}


/*=======================================*/
/*                HEADER
/*=======================================*/

.header {
    position: fixed;
    top: 15px;
    width: 100%;
    z-index: 999;
    transition: all 0.35s ease;
}
.header.sticky {top: 0;}
.header-wrap {
    background: rgba(255,255,255,0.96);
    backdrop-filter: blur(14px);
    border-radius: 20px;
    padding: 2px 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-shadow: 0 12px 40px rgba(0,0,0,0.08);
    transition: all 0.35s ease;
    width: 98%;
    margin: 0 auto;
}
.header.sticky .header-wrap {border-radius: 0;width: 100%;}
.logo img {height: 70px;}
.site-nav .menu {display: flex;gap: 32px;list-style: none;}
.site-nav a {
    text-decoration: none;
    font-weight: 500;
    color: var(--text-dark);
    position: relative;
    font-size: 16px;
}
.site-nav a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 0;
    height: 2px;
    background: linear-gradient(135deg, #36d1dc, #5b86e5);
    transition: width 0.3s ease;
}
.site-nav a:hover::after {width: 100%;}
.site-nav a:hover{color: var(--blue);}
.menu-toggle {
    background: none;
    border: none;
    font-size: 22px;
    cursor: pointer;
    display: none;
}
.mobile-drawer {
    position: fixed;
    top: 0;
    right: 0;
    width: 85%;
    max-width: 380px;
    height: 100%;
    background: #ffffff;
    transform: translateX(100%);
    transition: transform 0.45s cubic-bezier(.4,0,.2,1);
    z-index: 1001;
    display: flex;
    flex-direction: column;
}
.mobile-drawer.open {transform: translateX(0);}
.drawer-header {
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.drawer-header img {width: 100%;}
.drawer-close {background: none;border: none;font-size: 26px;cursor: pointer;}
.drawer-menu {
    list-style: none;
    display: flex;
    flex-direction: column;
    padding: 20px !important;
    gap: 22px;
}
.drawer-menu a {
    font-size: 20px;
    font-weight: 600;
    color: #222;
    text-decoration: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.drawer-menu a::after {content: "→";font-size: 18px;color: #999;}
.drawer-menu a:hover {color: #36d1dc;}
.drawer-footer {padding: 20px;}
.drawer-cta {
    display: block;
    text-align: center;
    padding: 16px;
    border-radius: 16px;
    background: linear-gradient(135deg, #36d1dc, #5b86e5);
    color: #fff;
    font-weight: 600;
    text-decoration: none;
}
.drawer-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.45);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
    z-index: 1000;
}
.drawer-overlay.active {opacity: 1;pointer-events: auto;}
@media (max-width: 991px) {
  .site-nav {display: none !important;}
  .menu-toggle {display: block;}
  .header-wrap {justify-content: space-between;}
}

/* ===============================
             FOOTER 
================================*/

.footer {color: var(--white);padding-top: 80px;position: relative;background-color: #0f4670;}
.footer-logo {font-size: 26px;font-weight: 700;color: var(--white);margin-bottom: 15px;}
.footer-logo span {color: #4ea3ff;}
.footer-box ul {margin: 0;padding: 0;}
.footer-box ul li {list-style: none;}
.footer-box ul li a {
    color: var(--white);
    font-size: 14px;
    line-height: 1.5;
    font-weight: 500;
    transition: 0.3s ease;
}
.footer-box ul li a:hover {color: var(--soft-blue);padding-left: 6px;}
.footer-social {margin-top: 18px;display: flex;gap: 12px;}
.footer-social a {
    width: 36px;
    height: 36px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background: rgba(255,255,255,0.06);
    font-size: 14px;
    transition: 0.3s ease;
    color: var(--soft-blue);
}
.footer-social a:hover {background: var(--soft-blue);color: var(--white);transform: translateY(-3px);box-shadow: 0 0 12px rgba(78,163,255,0.7);}
.footer-contact p, .footer-contact a {color: var(--white);}
.footer-contact i {margin-right: 6px;color: #4ea3ff;}
.footer-bottom {
    text-align: center;
    margin-top: 45px;
    padding: 18px 0;
    background: rgb(24 51 72);
    font-size: 13px;
    color: var(--white);
}
.footer-bottom .container{display: flex;align-items: center;justify-content: space-between;}
.footer-bottom p, .legal-menus a{margin-bottom: 0;font-size: 15px;}
.footer-bottom a{color: var(--soft-blue);}

/*===============================*/
/*        INQUIRY MODAL*/
/*===============================*/

#inquiryModal.modal {
    position: fixed; top: 50px; left: 0; width: 100%; height: 100%;
    background: rgba(0,0,0,0.6); display: flex; align-items: center; justify-content: center;
}
#inquiryModal .modal-content {
    background: var(--white); padding: 20px; width: 90%; max-width: 400px; border-radius: 8px;position: relative;}
#inquiryModal .close-btn {position: absolute; top: 10px; right: 15px; cursor: pointer; font-size: 20px;}
#inquiryForm.contact-form {
    background: transparent; 
    border: 1px solid rgba(0, 255, 150, 0.25);
    backdrop-filter: blur(0px); 
    border: none;
    padding: 0px; 
    border-radius: 0px;
}
#inquiryForm.contact-form input, #inquiryForm.contact-form textarea{color: var(--black);margin-bottom: 10px;}


/*===============================*/
/*            RESPONSIVE*/
/*===============================*/

@media (max-width: 768px) {

.heading {font-size: 25px;line-height: 30px;}
.big-heading {font-size: 40px;}
.mini-heading{font-size: 15px;line-height: 20px;}
.fill-btn, .submit-btn, .inquiry-btn, .outline-btn {padding: 12px 15px;font-size: 14px;}
.feature-section, .packages-section, .about-section, .gallery-section, .info-fact-section, .food-section, .event-section, .contact-section, .testimonial-section {
    padding: 40px 0 !important;
}
.group-btn {flex-wrap: wrap;}
.package-card, .feature-card, .testimonial-card{
    margin-bottom: 20px;
    height: auto;
}
.mobi-hide{
    display: none;
}
.section {
    padding: 50px 0;
}
.package-card:has(.package-page), .testimonial-card:has(.testimonial-page){margin-bottom: 0px;}
.package-image:has(.package-page){margin-top: 20px;}
.footer-bottom .container {flex-direction: column;}
.footer-box{margin-top:20px;}
.filter-container {justify-content: space-between;}
.filter-select {min-width: 48%;}
.hero-card {
    padding-left: 20px !important;
    padding-right: 20px;
    height: 60vh !important;
    width: 100% !important;
}
.feature-card {
    height: auto !important;
    justify-content: flex-start !important;
    margin-bottom: 10px;
}
.about-content{margin-top: 20px}
.destination-card {
    margin-bottom: 20px;}
    .cta-box {
    flex-direction: column;
    padding: 30px;
    }
    .category-intro{margin-bottom:20px;}
    .testimonial-card {
    height: auto !important;}
}

